Bug 1478679 - [abrt] gnome-software: g_mutex_lock(): gnome-software killed by signal 11
[abrt] gnome-software: g_mutex_lock(): gnome-software killed by signal 11
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e2060129ead0b048084e1dd56e0...
:
: 1502876 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 22:53 EDT by Ashish Bhurtel
Modified: 2017-10-16 17:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.29 KB, text/plain)
2017-08-05 22:53 EDT, Ashish Bhurtel
no flags Details
File: cgroup (195 bytes, text/plain)
2017-08-05 22:53 EDT, Ashish Bhurtel
no flags Details
File: core_backtrace (18.06 KB, text/plain)
2017-08-05 22:53 EDT, Ashish Bhurtel
no flags Details
File: cpuinfo (1.21 KB, text/plain)
2017-08-05 22:53 EDT, Ashish Bhurtel
no flags Details
File: dso_list (19.36 KB, text/plain)
2017-08-05 22:53 EDT, Ashish Bhurtel
no flags Details
File: environ (2.28 KB, text/plain)
2017-08-05 22:53 EDT, Ashish Bhurtel
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-05 22:53 EDT, Ashish Bhurtel
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-05 22:54 EDT, Ashish Bhurtel
no flags Details
File: maps (92.45 KB, text/plain)
2017-08-05 22:54 EDT, Ashish Bhurtel
no flags Details
File: open_fds (6.75 KB, text/plain)
2017-08-05 22:54 EDT, Ashish Bhurtel
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-08-05 22:54 EDT, Ashish Bhurtel
no flags Details
File: var_log_messages (21.31 KB, text/plain)
2017-08-05 22:54 EDT, Ashish Bhurtel
no flags Details

  None (edit)
Description Ashish Bhurtel 2017-08-05 22:53:47 EDT
Version-Release number of selected component:
gnome-software-3.24.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_mutex_lock
executable:     /usr/bin/gnome-software
journald_cursor: s=ac81200cf9fe468692c8800df8f2a9a4;i=4afce;b=2c9397a92be64e6aa8a0857e6f2444cb;m=32715890;t=5560bfaa275ee;x=678cf64dcd27641
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_mutex_lock at gthread-posix.c:1336
 #1 g_mutex_locker_new at /usr/include/glib-2.0/glib/gthread.h:321
 #2 gs_app_set_progress at gs-app.c:930
 #3 progress_cb at common/flatpak-utils.c:6113
 #4 _g_closure_invoke_va at gclosure.c:867
 #7 idle_invoke_async_progress at src/libostree/ostree-async-progress.c:233
 #12 g_main_context_iteration at gmain.c:4033
 #13 ostree_repo_pull_with_options at src/libostree/ostree-repo-pull.c:3956
 #14 repo_pull_one_dir at common/flatpak-dir.c:1916
 #15 flatpak_dir_pull at common/flatpak-dir.c:2602
Comment 1 Ashish Bhurtel 2017-08-05 22:53:52 EDT
Created attachment 1309533 [details]
File: backtrace
Comment 2 Ashish Bhurtel 2017-08-05 22:53:53 EDT
Created attachment 1309534 [details]
File: cgroup
Comment 3 Ashish Bhurtel 2017-08-05 22:53:54 EDT
Created attachment 1309535 [details]
File: core_backtrace
Comment 4 Ashish Bhurtel 2017-08-05 22:53:55 EDT
Created attachment 1309536 [details]
File: cpuinfo
Comment 5 Ashish Bhurtel 2017-08-05 22:53:57 EDT
Created attachment 1309537 [details]
File: dso_list
Comment 6 Ashish Bhurtel 2017-08-05 22:53:58 EDT
Created attachment 1309538 [details]
File: environ
Comment 7 Ashish Bhurtel 2017-08-05 22:53:59 EDT
Created attachment 1309539 [details]
File: exploitable
Comment 8 Ashish Bhurtel 2017-08-05 22:54:00 EDT
Created attachment 1309540 [details]
File: limits
Comment 9 Ashish Bhurtel 2017-08-05 22:54:02 EDT
Created attachment 1309541 [details]
File: maps
Comment 10 Ashish Bhurtel 2017-08-05 22:54:03 EDT
Created attachment 1309542 [details]
File: open_fds
Comment 11 Ashish Bhurtel 2017-08-05 22:54:05 EDT
Created attachment 1309543 [details]
File: proc_pid_status
Comment 12 Ashish Bhurtel 2017-08-05 22:54:06 EDT
Created attachment 1309544 [details]
File: var_log_messages
Comment 13 J. Haas 2017-08-13 10:38:55 EDT
Similar problem has been detected:

Playing games on Steam (nothing gnome-software related)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_mutex_lock
executable:     /usr/bin/gnome-software
journald_cursor: s=99c19c0f2ab04782a6cad95cd560666e;i=9cb8c;b=ea7b2ceb7b54458ea27e7c6413082903;m=f269de5c;t=5569dd46421d2;x=4aaff24cd6a06337
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-software-3.24.3-1.fc26
reason:         gnome-software killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Pete 2017-10-10 09:46:49 EDT
Similar problem has been detected:

GNOME Software crashed behind the scenes. I've got several COPR repos added, and a few other third party RPM repos.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_mutex_lock
executable:     /usr/bin/gnome-software
journald_cursor: s=c226c3aa33e04df9accb7f20b8cd8ac9;i=569ee;b=ebb1a751110b44cc94b85d0cf8af60e0;m=482fcbbeb2;t=55b3106ff6bc0;x=5d855e3314d72960
kernel:         4.13.4-200.fc26.x86_64
package:        gnome-software-3.24.3-1.fc26
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 octus 2017-10-16 17:57:52 EDT
*** Bug 1502876 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.